#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 arch-hs
version:              0.3.0.0
visibility:           public
id:                   arch-hs-0.3.0.0-DQx5j6jyV2OE29fkhdfo94
key:                  arch-hs-0.3.0.0-DQx5j6jyV2OE29fkhdfo94
license:              MIT
copyright:            2020 berberman
maintainer:           berberman <1793913507@qq.com>
author:               berberman
homepage:             https://github.com/berberman/arch-hs
synopsis:             Distribute hackage packages to archlinux
description:
    @arch-hs@ is a command-line program, which simplifies the process of producing
    and maintaining haskell packages for archlinux distribution by automating the
    PKGBUILD generation with the dependency resolving and template filling. Currently,
    @arch-hs@ is unstable, so packagers should not trust it 100%, but always follow the
    <https://wiki.archlinux.org/index.php/Haskell_package_guidelines Haskell package guidelines>.

category:             Distribution
abi:                  9de028a217e2c1e2347214620c643e89
exposed:              True
exposed-modules:
    Distribution.ArchHs.Aur Distribution.ArchHs.Community
    Distribution.ArchHs.Core Distribution.ArchHs.Exception
    Distribution.ArchHs.Hackage Distribution.ArchHs.Internal.Prelude
    Distribution.ArchHs.Local Distribution.ArchHs.Name
    Distribution.ArchHs.OptionReader Distribution.ArchHs.PP
    Distribution.ArchHs.PkgBuild Distribution.ArchHs.PkgDesc
    Distribution.ArchHs.Types Distribution.ArchHs.Utils

hidden-modules:
    Data.Aeson.Ext Distribution.ArchHs.Internal.NamePresetLoader

import-dirs:          /usr/lib/ghc-8.10.2/site-local/arch-hs-0.3.0.0
library-dirs:         /usr/lib/ghc-8.10.2/site-local/arch-hs-0.3.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.2/arch-hs-0.3.0.0
hs-libraries:         HSarch-hs-0.3.0.0-DQx5j6jyV2OE29fkhdfo94
depends:
    Cabal-3.2.0.0 aeson-1.5.4.1-2YgQvnoUGUbFY9GKPCy4dR
    algebraic-graphs-0.5-ALSbnZ9Ysyl1CCXbarbiO0 base-4.14.1.0
    bytestring-0.10.10.0 colourista-0.1.0.0-7lwF0GMlUie4A4PLvR1B29
    conduit-1.3.2.1-AxKM91y1hco17XbUchL3jK
    conduit-extra-1.3.5-2bGcgaS0IBCGK5si7N0Vze containers-0.6.2.1
    deepseq-1.4.4.0 directory-1.3.6.0 filepath-1.4.2.1
    hackage-db-2.1.0-NnDgn82fCuJmmRmt0wKki
    megaparsec-8.0.0-WgfEioxJrEl9voGu7Rgt
    microlens-0.4.11.2-9caS3Frz8K54yIHXMtlddL
    microlens-th-0.4.3.6-2i9wbemS8pF4pt8u5PEDIb
    neat-interpolation-0.5.1.2-BzDTc5WoKr93hNO0AS9jGX
    optparse-applicative-0.15.1.0-4yS7Kgv724jHzLSBsRLgk4
    polysemy-1.3.0.0-HMJaNxjl5BU38obAcYSGvi
    req-3.6.0-2F3yv9OWvM43Q4NZSctgxn
    split-0.2.3.4-CtDb4gjwn2tGt0mGSFzDSP
    tar-conduit-0.3.2-HgZkbQOv4yw3qTAFZ2Si9E template-haskell-2.16.0.0
    text-1.2.3.2

haddock-interfaces:   /usr/share/doc/arch-hs/html/arch-hs.haddock
haddock-html:         /usr/share/doc/arch-hs/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

